package com.hdkj.lt.base.enums;

/**
 * @Description: 用户账号状态标识
 * @Author: wenhao
 * @Create: 2023/03/24 15:52
 * @Version: 1.0
 */
public enum AccountStatusEnum implements BaseValidEnum<String> {

    /**
     * 激活
     */
    ACTIVATE("1", "激活"),

    /**
     * 已删除
     */
    DELETED("2", "删除"),

    /**
     * 休眠
     */
    SLEEPED("3", "休眠"),

    /**
     * 注销
     */
    CANCELED("4", "注销");

    final String code;

    final String desc;

    AccountStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

}
